#!/usr/bin/env python
# -*- coding: utf-8 -*-

__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-11-21 -- 2008-12-19"

from diffsim.dyadiccleft import CleftMesh3D

cm = CleftMesh3D()

p = cm.get_params()

resolutions   = [0]#,1,2]#,3]
hights        = [20,25,30,35,40,50,60,70,80,90,100]
hights        = [12]
max_dists_ncx = [3.5]

#p.geom.cleft_partitions = [0.75/p.geom.h, 2.0/p.geom.h]

p.RyR.use      = True
p.RyR.max_area = 0.1
p.RyR.hight    = 0.0

p.LCC.random_placement = True
p.LCC.max_area         = 0.002


p.Na.num          = 0#2
p.Na.max_area     = 0.002

p.NCX.use         = True
p.NCX.sigma       = 400 # #/um²
p.NCX.max_area    = 0.02
p.NCX.frac_border = 0.8

p.channel.hight  = 2.0
p.channel.ds     = 0.4
p.channel.weight = 1.2

p.tritetmesh.radius_edge_ratio = 1.8
p.tritetmesh.compress = 1

for max_dist_ncx in max_dists_ncx:
    p.Na.max_dist_ncx = max_dist_ncx
    for hight in hights:
        p.geom.h = float(hight)
        for res in resolutions:
            if res == 0:
                p.Cytosole.N_points = 128
                partitions        = []
                p.geom.R          = 220
                p.LCC.RyR_per_LCC = 5.
                p.Na.num          = 2
            elif res == 1:
                p.Cytosole.N_points = 64
                partitions        = [0.75/p.geom.h, 2.0/p.geom.h]
                p.LCC.RyR_per_LCC = 25./20
                p.geom.R          = 110
                p.Na.num          = 1
            elif res == 2:
                p.Cytosole.N_points = 64
                partitions        = [0.5/p.geom.h, 1.5/p.geom.h]#, 3/p.geom.h]
                p.LCC.RyR_per_LCC = 25./20
                p.geom.R          = 110
                p.Na.num          = 1
            elif res == 3:
                p.Cytosole.N_points = 64
                partitions = [0.25/p.geom.h, 1./p.geom.h, 2./p.geom.h]
                p.LCC.RyR_per_LCC = 25./20
                p.geom.R          = 110
                p.Na.num          = 1
            p.geom.cleft_partitions = partitions
            file_name = "mesh/cleft_mesh_3D_h%s_r%d_res_%d_dist_ncx_na%s"%\
                        (str(p.geom.h),p.geom.R,res,str(max_dist_ncx))
            #file_name = "mesh/cleft_mesh_3D_h%s_r%d_res_%d_no_na_or_ncx"%\
            #            (str(p.geom.h),p.geom.R,res)
            cm.create_mesh(file_name)
