from diffsim import *
from diffsim.dyadiccleft import *

from numpy import linspace, exp, trapz

from logger import *
set_log_level(DEBUG,ALL)
set_log_level(CRITICAL,'instant')

# Ca specific parameters
c0 = 0.1
D_Ca = 1e5

# Time dependent parameters
tstop     = 0.3
dt_min    = 0.0000001

mesh_name = "mesh/cleft_mesh_3D_small_0_no_LCC.xml"

dd = DiffusionDomain("Dyadic_cleft",mesh_name)
dl = DiffusiveLigand(dd.name(),"Ca",c0)

times  = [0,tstop/2]
values = [[0,1],[1,0]]
for i, m in enumerate([2,3]):
    ConstantChannelFlux("LCC",dd.name(), "Ca",m, amp = 0.2,
                        activator = ValueClamp("LCC",times,values[i], True))

Cytosole_flux = ConcDepLinearFluxBoundary("Cytosole",dd.name(),"Ca",100, u0 = c0)

#p = Plotter(dl.name(),plot_range = [0,1e3],
#            cutplane_origin = (0,0,0),
#            cutplane_normal = (0,1,0))

sl = ScreenLogger(dl.name(),[1,2,3,100],[MIN,MAX,MEAN,STD])

# Setting the parameters
params = get_default_params()

params.time.dt_min = dt_min
params.time.tstop  = tstop 

set_params(params)

init_system()
run()
