"""diffsim is a diffusion simulator for subcellular diffusion"""

__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-01-08 -- 2008-11-18"

# Initialize the logging system
# FIXME: remove logging from import *
from logger import *
init_local_logger(__name__,globals(),INFO)

# Import from submodules
from diffsim.common              import *
from diffsim.base                import *
from diffsim.diffusiondomain     import *
from diffsim.diffusiveligand     import *
from diffsim.boundaries          import *
from diffsim.valueclamp          import *
from diffsim.app                 import *
from diffsim.io                  import *
from diffsim.stochastictimestepper import *
from diffsim.processtime         import *
from diffsim.parameterdict       import *
from diffsim.disk                import *
from diffsim.steadystateligand   import *
from diffsim.attrdict            import AttrDict

# The module is loaded
debug("%s loaded"%__name__)
