__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-09-09 -- 2009-02-10"

# Some physical constants
E_CHARGE      = 1.6022e-19
FARADAY       = 96500         # Faradays constant      [C/mole]
UNIVERSAL_GAS = 8.314         # Universal gas constant [J/(mole*K)]
T_ABS         = 273.15        # Absolute temperature   [deg K]

# Predefined names of ions
Ca     = "Ca"
Na     = "Na"
K      = "K"
Cl     = "Cl"

# Diffusion constant of the ions
DIFFUSION_CONSTANT      = {}
DIFFUSION_CONSTANT[Ca]  = 1.e5
DIFFUSION_CONSTANT[Na]  = DIFFUSION_CONSTANT[Ca]/2
DIFFUSION_CONSTANT[K]   = 1.e5
DIFFUSION_CONSTANT[Cl]  = 1.e5

ALLOWED_IONS = [Ca,Na,K,Cl]


# The valence of some ions
VALENCE = {}
VALENCE[Ca] =  2
VALENCE[Na] =  1
VALENCE[K]  =  1
VALENCE[Cl] = -1

# Some usefull conversions
MILLI         = 1.e-3
MICRO         = 1.e-6
NANO          = 1.e-9
PICO          = 1.e-12
NM3_per_DM3   = 1.e24

#from diffsim.base            import DiffsimObject
