// Copyright (C) 2008 Johan Hake.
// Licensed under the GNU LGPL Version 2.1.

/* Electric potential weight function

 */

class EpotWeight: public Expression {
public:
  boost::shared_ptr<dolfin::GenericFunction> epot;
  double valence; 
  EpotWeight():
    Expression(), valence(1.0){}
  
  void eval(double* v, const dolfin::Data& data) const
  {
    if (!epot)
      error("Attach an electric potential function.");
    epot->eval(v, data);
    v[0] = exp(-valence*v[0]);
  }
};
