"""  A submodule with specific DiffsimObjects related to the Dyadic Cleft"""

__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-09-04 -- 2008-11-21"

# Initialize the logging system
from diffsim.logger import *
init_local_logger(__name__,globals(),INFO)

from diffsim.dyadiccleft.boundaries       import *
from diffsim.dyadiccleft.ncx              import *
from diffsim.dyadiccleft.electrodiffusion import *
from diffsim.dyadiccleft.markovmodels     import *

try:
    from diffsim.dyadiccleft.cleftmesh    import *
except:
    print "*** Warning: Could not import TriTetMesh. Meshing capabilities are not available."

debug("%s loaded"%__name__)
