class FieldDirection: public Expression
{
public:
  Function* field;
  FieldDirection():
    Expression(3)
  {
    field = 0;
  }

  void eval(double* v, const Data& data) const
  {
    if (!field)
      error("Attach a field function.");
    double field_norm = 0.0;
    UFCCell ufc_cell(data.cell());
    field->eval(v, data.x, ufc_cell, data.cell().index());
    for (uint i = 0;i < geometric_dimension(); ++i)
      field_norm += v[i]*v[i];
    field_norm = sqrt(field_norm);
    for (uint i = 0;i < geometric_dimension(); ++i)
      v[i] /= field_norm;
  }
};
