class Stab: public Expression
{
public:
  Function* field;
  double    D;
  double*   val;
  Stab():
    Expression(3)
  {
    field = 0;
    D     = 1.0;
    val   = new double[3];
  }
  ~Stab()
  {
    delete[] val;
  }
  void eval(double* v, const Data& data) const
  {
    if (!field)
      error("Attach a field function.");
    double field_norm = 0.0;
    double tau = 0.0;
    double h = data.cell().diameter();
    UFCCell ufc_cell(data.cell());
    field->eval(val, data.x, ufc_cell, data.cell().index());
    for (uint i = 0;i < 3; ++i)
      field_norm += val[i]*val[i];
    field_norm = sqrt(field_norm);
    
    double PE = 0.5*field_norm * h/D;
    if (PE > DOLFIN_EPS)
      tau = 1/tanh(PE)-1/PE;
    v[0] = 0.5*tau;
  }
};
