#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Run all tests"""

__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-08-30"

import os
from glob import glob

# directory info
return_dir = os.path.abspath(os.path.curdir)
test_dir   = os.path.dirname(__file__) or os.path.curdir

# Tests to run
tests = [os.path.basename(f.replace(".py", "")) for f in glob(os.path.join(test_dir,"*.py"))]
tests.remove("test")

if __name__ == "__main__":
    # Run tests
    os.chdir(test_dir)
    for test in tests:
        print "Running tests: %s" % test
        os.system("python %s.py" % test)
        print ""
    os.chdir(return_dir)
        
